##### ssl::context::use_certificate_chain_file (2 of 2 overloads)

Use a certificate chain from a file.

    void use_certificate_chain_file(
        const std::string & filename,
        asio::error_code & ec);

This function is used to load a certificate chain into the context from a file.

###### Parameters

filename

  The name of the file containing the certificate. The file must use the PEM format.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_use_certificate_chain_file`.